aix_usersec

Manage AIX default user security settings

Jeremy Rose

BashTheStampede

8,379 downloads

8,379 latest version

2.0 quality score

Version information

  • 0.1.0 (latest)
released Nov 4th 2014
This version is compatible with:
  • Puppet Enterprise 3.3.x
  • Puppet 3.0
  • AIX

Start using this module

Documentation

BashTheStampede/aix_usersec — version 0.1.0 Nov 4th 2014

#Puppet module to manage AIX default user security settings #

This module is a custom type/provider that enbables the ability to manage the default user security settings in AIX through puppet.

Requirements

Module has been tested on:

  • PE Puppet 3.3
  • OS:
    • AIX 5.3
    • AIX 6.1
    • AIX 7.1 Attributes that can be managed:
  • maxage
  • minlen
  • loginretries
  • histexpire
  • histsize
  • minage
  • maxexpired
  • minalpha
  • minother
  • mindiff
  • maxrepeats
  • umask
class { 'usersecurity'
  usersec { 'default_settings':
    maxage => '12',  # set max user password age
    minlen => '27',  # set minimum user password length
  }
}